using Authentication_test.DBO;
using iiie.Authentication.DBO;

namespace Authentication_test.Controllers.Authentication
{
    public class TokenValidationHandler : iiie.Authentication.Business.JWT.TokenValidationHandler
    {
        protected override BasicUserDbo GetUserDbo(string username, string salt)
        {
            if (username == "root")
                return new BasicUserDbo
                {
                    Id = 42,
                    Role = (int)UserRoles.Root,
                    Username = "Root"
                };
            if (username == "notroot")
                return new BasicUserDbo
                {
                    Id = 4242,
                    Role = (int)UserRoles.NotRoot,
                    Username = "Not Root"
                };
            return null;
        }
    }
}